/*1: stop the log reader agent*/
/*2: Delete few rows on publisher*/
Begin tran DEL_10_rows
Delete top (10) from dbo.Repl_test_1 --1 transaction with 10 command will be delivered
commit
go
/*3: Check the details of transactions to be replicated*/
dbcc opentran --Check the LSN from where the transaction started .Compare it with DBTABLE in memory object
go

/*4: Check the transaction LSN in DBCC DBtable*/
--Traceflag needed to see the output of DBCC DBTABLE.Use 3605 to print the output in erorlog.
dbcc traceon (3604)
dbcc dbtable ('sqlsub')
go

/*5: Check the T-log to find transaction LSN marked for replication*/
/*checking the transaction log for the entries for the first 10 deletes*/
select description,allocUnitName,operation,context,[current LSN] 
from ::fn_dblog('0x000008e3:00000748:001','0x000008e3:0000748:021')

/*6: Check replication SPs to find transactions marked for replication*/

sp_replcounters --used by log reader to find if there are transactions to be replicated
sp_replshowcmds --sp_replcmds is used by log reader
sp_replflush --needed if you manually run the above 2 SPs because either the log reader or the user can run the above SPs at any time..
go

--Delete top (10) from dbo.Repl_test_1 
/*7: Check Check the commands replicated to the distribution DB*/
/*Replicate the transactions and check if they have been replicated to the distribution DB*/
distribution..sp_browsereplcmds '0x000008E3000006880001','0x000008E3000006880001'

/*8: Check the log reader and distribution agent history(also check the verbose log)*/
--To see the distribution and logreader agent history
Select top (5) * from distribution.dbo.MSlogreader_history where comments like '<%'
Select top (5) * from distribution.dbo.MSdistribution_history where comments like '<%'